interface ValidateTextOptionsBase {
    medium?: 'all' | 'braille' | 'embossed' | 'handheld' | 'print' | 'projection' | 'screen' | 'speech' | 'tty' | 'tv';
}
interface ValidateTextOptionsWithoutWarnings extends ValidateTextOptionsBase {
    warningLevel?: 0;
}
interface ValidateTextOptionsWithWarnings extends ValidateTextOptionsBase {
    warningLevel: 1 | 2 | 3;
}
interface ValidateTextResultBase {
    valid: boolean;
    errors: {
        line: number;
        message: string;
    }[];
}
interface ValidateTextResultWithWarnings extends ValidateTextResultBase {
    warnings: {
        line: number;
        level: 1 | 2 | 3;
        message: string;
    }[];
}
interface ValidateTextResultWithoutWarnings extends ValidateTextResultBase {
    warnings?: never;
}
declare function validateText(textToValidate: string, options?: ValidateTextOptionsWithoutWarnings): Promise<ValidateTextResultWithoutWarnings>;
declare function validateText(textToValidate: string, options: ValidateTextOptionsWithWarnings): Promise<ValidateTextResultWithWarnings>;
export default validateText;
//# sourceMappingURL=validate-text.d.ts.map